%global repo_owner atextor
%global repo_name  icat 

Name:    icat
Version: 0.5
Release: 1%{?dist}
Summary: Output images in terminal

License: BSD
URL:     https://github.com/%{repo_owner}/%{repo_name}
Source0: %{URL}/archive/v%{version}/%{repo_name}-%{version}.tar.gz

BuildRequires: imlib2-devel

%description
Outputs an image on a 256-color or 24-bit color enabled terminal
with UTF-8 locale, such as gnome-terminal, konsole or rxvt-unicode (urxvt).

%prep
%setup -q -n %{repo_name}-%{version}
# Extract license from source code
awk '1;/\*\//{exit}' < icat.c > LICENSE

%build
make CFLAGS='-ggdb -std=c99' %{?_smp_mflags}

%install
install -m 755 -d %{buildroot}/%{_bindir}
install -m 755 ./icat %{buildroot}/%{_bindir}/icat

install -m 755 -d %{buildroot}/%{_mandir}/man1
install -m 755 ./icat.man %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/icat
%{_mandir}/man1/*

%changelog
* Mon Apr 02 2018 Artur Iwicki <fedora@svgames.pl> - 0.5-1
- Update to new upstream version

* Fri Nov 17 2017 Artur Iwicki <fedora@svgames.pl> - 0.4-4.20171016.git.74b4a1b
- Fix manpage being installed with a wrong filename
- Create macros to make marking the release snapshot easier

* Tue Nov 07 2017 Artur Iwicki <fedora@svgames.pl> - 0.4-3.20171016.git.74b4a1b
- Update to latest upstream snapshot
- Specify CFLAGS when calling make, instead of patching the Makefile
- Add manpage to package

* Wed Oct 18 2017 Artur Iwicki <fedora@svgames.pl> - 0.4-2
- Modify Makefile to ensure debuginfo is generated

* Tue Oct 17 2017 Artur Iwicki <fedora@svgames.pl> - 0.4-1
- Initial packaging
